classification
Title: uuid._ifconfig_getnode can't work on NetBSD
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.7, Python 3.6, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: serhiy.storchaka, shimizukawa, terry.reedy
Priority: normal Keywords: patch

Created on 2010-08-25 03:09 by shimizukawa, last changed 2017-11-04 08:23 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
uuid-ifconfig_getnode-netbsd.patch shimizukawa, 2010-08-25 03:09
uuid_arp_getnode_netbsd.patch serhiy.storchaka, 2014-12-08 21:26 review
Pull Requests
URL Status Linked Edit
PR 4264 merged serhiy.storchaka, 2017-11-03 20:10
PR 4269 merged python-dev, 2017-11-04 07:37
PR 4270 merged serhiy.storchaka, 2017-11-04 08:10
Messages (7)
msg114878 - (view) Author: Takayuki SHIMIZUKAWA (shimizukawa) Date: 2010-08-25 03:09
uuid.getnode() not work correctly on NetBSD5, then uuid.getnode() return random value per Python interpreter instance.
This problem is caused by the uuid._ifconfig_getnode() not supporting a 'ifconfig' / 'arp' output format of NetBSD.

I create a patch for this problem and attached.
msg137419 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2011-06-01 06:19
2.5 is closed and 2.6 and 3.1 are or soon will be security fix only.
I do not know if any developer works with NetBSD.
msg232330 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2014-12-08 21:26
The patch is updated to current sources. Please test on NetBSD5.
msg234272 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-01-18 20:17
If no one interesting in testing this issue I'll close it.
msg305536 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-04 07:37
New changeset ee1a9a2b78d5b6bb1a8148fc5fcf365e6d4e9e67 by Serhiy Storchaka in branch 'master':
bpo-9678: Fix determining the MAC address in the uuid module. (#4264)
https://github.com/python/cpython/commit/ee1a9a2b78d5b6bb1a8148fc5fcf365e6d4e9e67
msg305538 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-04 08:11
New changeset ec2b2dcdd664d35753e471429872b2d6ff74a644 by Serhiy Storchaka (Miss Islington (bot)) in branch '3.6':
bpo-9678: Fix determining the MAC address in the uuid module. (GH-4264) (#4269)
https://github.com/python/cpython/commit/ec2b2dcdd664d35753e471429872b2d6ff74a644
msg305540 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-11-04 08:23
New changeset f72ad2d363311b8b0f79aba5236094f9d74d1b2a by Serhiy Storchaka in branch '2.7':
[2.7] bpo-9678: Fix determining the MAC address in the uuid module. (GH-4264) (#4270)
https://github.com/python/cpython/commit/f72ad2d363311b8b0f79aba5236094f9d74d1b2a
History
Date User Action Args
2017-11-04 08:23:50serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2017-11-04 08:23:11serhiy.storchakasetmessages: + msg305540
2017-11-04 08:11:22serhiy.storchakasetmessages: + msg305538
2017-11-04 08:10:32serhiy.storchakasetpull_requests: + pull_request4233
2017-11-04 07:37:45python-devsetpull_requests: + pull_request4232
2017-11-04 07:37:38serhiy.storchakasetmessages: + msg305536
2017-11-03 20:12:44serhiy.storchakasetversions: + Python 3.6, Python 3.7, - Python 3.4, Python 3.5
2017-11-03 20:10:32serhiy.storchakasetstatus: pending -> open
pull_requests: + pull_request4226
2015-01-18 20:17:42serhiy.storchakasetstatus: open -> pending

messages: + msg234272
2015-01-18 20:16:18serhiy.storchakasetassignee: serhiy.storchaka
2014-12-08 21:26:36serhiy.storchakasetfiles: + uuid_arp_getnode_netbsd.patch
versions: + Python 3.4, Python 3.5, - Python 3.2
nosy: + serhiy.storchaka

messages: + msg232330

stage: patch review
2011-06-01 06:19:52terry.reedysetnosy: + terry.reedy

messages: + msg137419
versions: + Python 3.2, - Python 2.6, Python 2.5, Python 3.1
2010-08-25 03:09:51shimizukawacreate